/***************************************************************
** Name:        url.h
** Author:      Leo Liberti
** Source:      GNU C++
** Purpose:     www exploring topologizer - URL data type (header)
** History:     060820 work started
****************************************************************/

#ifndef _WETURLH
#define _WETURLH

#include<string>
#include "htmlpage.h"

class URLException {
 public:
  URLException();
  ~URLException();
};

class URL {
 public:

  URL();
  URL(std::string theURL);
  ~URL();

  std::string getURLName(void) const;
  void setURLName(std::string theURL);
  std::string getFileName(void) const;
  
  // download the URL
  void download(void) throw(URLException);
  
  // return the HTTP links in the URL
  std::string getNextLink(void) throw(URLException);

 private:
  HTMLPage* htmlPagePtr;
  std::string URLName;
  std::string fileName;
  int linkCounter;

};

#endif
