/*******************************************************
** Name:        vertexurl.h
** Author:      Leo Liberti
** Source:      GNU C++
** Purpose:     www exploring topologizer - 
**              vertex implementation class (header)
** History:     060820 work started
*******************************************************/

#ifndef _WETVERTEXURLH
#define _WETVERTEXURLH

#include<vector>
#include "vertex.h"
#include "url.h"

class VertexURLException {
 public:
  VertexURLException();
  ~VertexURLException();
};

class VertexURL : public virtual Vertex {
 public:
  VertexURL(int theID, URL* theURLPtr);
  ~VertexURL();

  int getID(void) const;
  int getNumberOfAdjacentVertices(void) const;
  int getAdjacentVertexID(int i) const throw(VertexURLException);
  void addAdjacentVertexID(int ID);
  URL& getURL(void);

 private:

  int id;
  std::vector<int> star;
  URL* urlPtr;
};

#endif
